Bug 1275086 - [abrt] gnome-boxes: gtk_application_impl_before_emit(): gnome-boxes killed by SIGSEGV
[abrt] gnome-boxes: gtk_application_impl_before_emit(): gnome-boxes killed by...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-boxes (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christophe Fergeau
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e6d7e4991595660280202fde2cd...
:
: 1331543 1342886 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-25 14:31 EDT by Jakub Bittner
Modified: 2016-12-20 10:09 EST (History)
25 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:09:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (30.98 KB, text/plain)
2015-10-25 14:32 EDT, Jakub Bittner
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-25 14:32 EDT, Jakub Bittner
no flags Details
File: core_backtrace (2.57 KB, text/plain)
2015-10-25 14:32 EDT, Jakub Bittner
no flags Details
File: dso_list (19.61 KB, text/plain)
2015-10-25 14:32 EDT, Jakub Bittner
no flags Details
File: environ (846 bytes, text/plain)
2015-10-25 14:32 EDT, Jakub Bittner
no flags Details
File: exploitable (95 bytes, text/plain)
2015-10-25 14:32 EDT, Jakub Bittner
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-25 14:32 EDT, Jakub Bittner
no flags Details
File: maps (94.09 KB, text/plain)
2015-10-25 14:32 EDT, Jakub Bittner
no flags Details
File: mountinfo (3.29 KB, text/plain)
2015-10-25 14:32 EDT, Jakub Bittner
no flags Details
File: open_fds (2.79 KB, text/plain)
2015-10-25 14:32 EDT, Jakub Bittner
no flags Details
File: proc_pid_status (1013 bytes, text/plain)
2015-10-25 14:32 EDT, Jakub Bittner
no flags Details
File: var_log_messages (304 bytes, text/plain)
2015-10-25 14:32 EDT, Jakub Bittner
no flags Details

  None (edit)
Description Jakub Bittner 2015-10-25 14:31:54 EDT
Version-Release number of selected component:
gnome-boxes-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-boxes --gapplication-service
crash_function: gtk_application_impl_before_emit
executable:     /usr/bin/gnome-boxes
global_pid:     3087
kernel:         4.2.3-300.fc23.x86_64+debug
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 gtk_application_impl_before_emit at gtkapplicationimpl.c:83
 #1 g_application_impl_method_call at gapplicationimpl-dbus.c:194
 #2 call_in_idle_cb at gdbusconnection.c:4832
 #6 g_main_context_iteration at gmain.c:3901
 #7 g_application_run at gapplication.c:2331
 #8 _vala_main at /home/zeenix/checkout/gnome/gnome-boxes/src/main.vala:84
 #10 _start

Potential duplicate: bug 1226229
Comment 1 Jakub Bittner 2015-10-25 14:32:02 EDT
Created attachment 1086272 [details]
File: backtrace
Comment 2 Jakub Bittner 2015-10-25 14:32:05 EDT
Created attachment 1086273 [details]
File: cgroup
Comment 3 Jakub Bittner 2015-10-25 14:32:07 EDT
Created attachment 1086274 [details]
File: core_backtrace
Comment 4 Jakub Bittner 2015-10-25 14:32:09 EDT
Created attachment 1086275 [details]
File: dso_list
Comment 5 Jakub Bittner 2015-10-25 14:32:17 EDT
Created attachment 1086276 [details]
File: environ
Comment 6 Jakub Bittner 2015-10-25 14:32:20 EDT
Created attachment 1086277 [details]
File: exploitable
Comment 7 Jakub Bittner 2015-10-25 14:32:22 EDT
Created attachment 1086278 [details]
File: limits
Comment 8 Jakub Bittner 2015-10-25 14:32:28 EDT
Created attachment 1086279 [details]
File: maps
Comment 9 Jakub Bittner 2015-10-25 14:32:30 EDT
Created attachment 1086280 [details]
File: mountinfo
Comment 10 Jakub Bittner 2015-10-25 14:32:32 EDT
Created attachment 1086281 [details]
File: open_fds
Comment 11 Jakub Bittner 2015-10-25 14:32:34 EDT
Created attachment 1086282 [details]
File: proc_pid_status
Comment 12 Jakub Bittner 2015-10-25 14:32:38 EDT
Created attachment 1086283 [details]
File: var_log_messages
Comment 13 Jean-François Fortin Tam 2015-11-25 22:57:35 EST
In my case this happened by doing this:

1. Launch boxes, create a new machine with the Fedora 23 workstation live ISO
2. Launch that instance
3. When you get to the loaded desktop, close boxes just by hitting the top-right "X" button.
Comment 14 Daniel 2016-01-24 20:23:26 EST
I can reproduce it reliably like this:
1. Launch Boxes and start any virtualized system
2. Quit Boxes with the virtualized system still running by closing its windows
3. Open Boxes again
Comment 15 Geezus 2016-04-28 14:26:15 EDT
*** Bug 1331543 has been marked as a duplicate of this bug. ***
Comment 16 krzysztofbti 2016-05-21 15:35:16 EDT
Similar problem has been detected:

I think that was because of quick closing gnome boxes window (alt +f4) while running virtual machine (another fedora 23 system) and trying to open app again through dashboard.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-boxes --gapplication-service
crash_function: gtk_application_impl_before_emit
executable:     /usr/bin/gnome-boxes
global_pid:     29518
kernel:         4.4.9-300.fc23.x86_64
package:        gnome-boxes-3.18.1-1.fc23
reason:         gnome-boxes killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 17 Paulim_hed 2016-06-06 00:02:19 EDT
*** Bug 1342886 has been marked as a duplicate of this bug. ***
Comment 18 Fedora End Of Life 2016-11-24 07:54:29 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2016-12-20 10:09:05 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.